it.reply.healty.innovapuglia.mstaccuino.spring

## Class QuartzPoolingConnectionProvider

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.spring.QuartzPoolingConnectionProvider

- All Implemented Interfaces:
    org.quartz.utils.ConnectionProvider, org.quartz.utils.PoolingConnectionProvider

      public class QuartzPoolingConnectionProvider
      extends Object
      implements org.quartz.utils.PoolingConnectionProvider

- - ### Field Summary

    - ### Fields inherited from interface org.quartz.utils.PoolingConnectionProvider

      `DB_DRIVER, DB_MAX_CONNECTIONS, DB_PASSWORD, DB_URL, DB_USER, DB_VALIDATION_QUERY, DEFAULT_DB_MAX_CONNECTIONS, POOLING_PROVIDER, POOLING_PROVIDER_C3P0, POOLING_PROVIDER_HIKARICP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuartzPoolingConnectionProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connection` | `getConnection()`
    `DataSource` | `getDataSource()`
    `void` | `initialize()`
    `void` | `shutdown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuartzPoolingConnectionProvider

          public QuartzPoolingConnectionProvider()

  - ### Method Detail

    - #### getDataSource

          public DataSource getDataSource()

      Specified by:
        `getDataSource` in interface `org.quartz.utils.PoolingConnectionProvider`

    - #### getConnection

          public Connection getConnection()
                                   throws SQLException

      Specified by:
        `getConnection` in interface `org.quartz.utils.ConnectionProvider`
      Throws:
        `SQLException`

    - #### shutdown

          public void shutdown()
                        throws SQLException

      Specified by:
        `shutdown` in interface `org.quartz.utils.ConnectionProvider`
      Throws:
        `SQLException`

    - #### initialize

          public void initialize()
                          throws SQLException

      Specified by:
        `initialize` in interface `org.quartz.utils.ConnectionProvider`
      Throws:
        `SQLException`

Copyright © 2024. All rights reserved.